# use false if you want to grab a package from online package manager
# use true if you want to use a local deb package already downloaded.
using_downloaded_deb=false # see above
# (if using local deb file, leave your deb file to be checked on the desktop)
pkgname='clementine' # name of the package or deb file (don't include .deb extension)
# make the folders and cd into them as required
cd ~/Desktop && mkdir $pkgname
cd $pkgname && mkdir debs && cd debs
# check if using local file or using from repo
if $using_downloaded_deb; then
apt-get --print-uris --yes install ~/Desktop/$pkgname.deb | grep ^\' | cut -d\' -f2 >downloads.log
# remove first line of file
printf "%s\n" 1d w q | ed downloads.log
# don't forget to include the original deb
cp ~/Desktop/$pkgname.deb ~/Desktop/$pkgname/debs/
else
apt-get --print-uris --yes install $pkgname | grep ^\' | cut -d\' -f2 >downloads.log
fi
# now download from repo
wget --input-file downloads.log
# check to see how many files were downloaded
tdebcount="$(ls -lR ~/Desktop/$pkgname/debs/*.deb | wc -l)"
notify-send -u critical -i info 'Script ended' "downloaded $tdebcount deb files"
# write install instructions
cd .. && printf "cd ~/Desktop/$pkgname/debs\nsudo dpkg -i *.deb" > 'how to install.txt' 2>&1 